pcl::cuda::RGB Union Reference

Default RGB structure, defined as a union over 4 chars. More...

`#include </build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/common/point_type_rgb.h>`

## Public Member Functions

__host__ __device__ | RGB ()
__host__ __device__ | RGB (int _rgb)
__host__ __device__ | RGB (char _r, char _g, char _b, char _alpha)
__host__ __device__ bool | operator== (const RGB &rhs)
__host__ __device__ RGB & | operator- (RGB &rhs)
__host__ __device__ RGB & | operator+= (const RGB &rhs)
__host__ __device__ RGB & | operator-= (const RGB &rhs)
__host__ __device__ RGB & | operator*= (const RGB &rhs)
__host__ __device__ RGB & | operator/= (const RGB &rhs)

## Public Attributes

int | rgb
struct {
char r
char g
char b
char alpha
}; |

## Detailed Description

Default RGB structure, defined as a union over 4 chars.

Definition at line 52 of file point_type_rgb.h.

## Constructor & Destructor Documentation

## RGB() [1/3]

__host__ __device__ pcl::cuda::RGB::RGB | ( |  | ) |

inline

Definition at line 63 of file point_type_rgb.h.

## RGB() [2/3]

__host__ __device__ pcl::cuda::RGB::RGB | ( | int | _rgb | ) |

inline

Definition at line 64 of file point_type_rgb.h.

## RGB() [3/3]

__host__ __device__ pcl::cuda::RGB::RGB | ( | char | _r,
|  | char | _g,
|  | char | _b,
|  | char | _alpha
| ) |  |

inline

Definition at line 65 of file point_type_rgb.h.

## Member Function Documentation

## operator*=()

__host__ __device__ RGB& pcl::cuda::RGB::operator*= | ( | const RGB & | rhs | ) |

inline

Definition at line 100 of file point_type_rgb.h.

References alpha, b, g, and r.

## operator+=()

__host__ __device__ RGB& pcl::cuda::RGB::operator+= | ( | const RGB & | rhs | ) |

inline

Definition at line 82 of file point_type_rgb.h.

References alpha, b, g, and r.

## operator-()

__host__ __device__ RGB& pcl::cuda::RGB::operator- | ( | RGB & | rhs | ) |

inline

Definition at line 73 of file point_type_rgb.h.

References alpha, b, g, and r.

## operator-=()

__host__ __device__ RGB& pcl::cuda::RGB::operator-= | ( | const RGB & | rhs | ) |

inline

Definition at line 91 of file point_type_rgb.h.

References alpha, b, g, and r.

## operator/=()

__host__ __device__ RGB& pcl::cuda::RGB::operator/= | ( | const RGB & | rhs | ) |

inline

Definition at line 109 of file point_type_rgb.h.

References alpha, b, g, and r.

## operator==()

__host__ __device__ bool pcl::cuda::RGB::operator== | ( | const RGB & | rhs | ) |

inline

Definition at line 68 of file point_type_rgb.h.

References alpha, b, g, and r.

## Member Data Documentation

## @61

struct { ... }

## alpha

char pcl::cuda::RGB::alpha

Definition at line 60 of file point_type_rgb.h.

Referenced by operator*=(), operator+=(), operator-(), operator-=(), operator/=(), and operator==().

## b

char pcl::cuda::RGB::b

Definition at line 59 of file point_type_rgb.h.

Referenced by pcl::cuda::SetColor::operator()(), pcl::cuda::ChangeColor::operator()(), operator*=(), operator+=(), operator-(), operator-=(), operator/=(), and operator==().

## g

char pcl::cuda::RGB::g

Definition at line 58 of file point_type_rgb.h.

Referenced by pcl::cuda::SetColor::operator()(), pcl::cuda::ChangeColor::operator()(), operator*=(), operator+=(), operator-(), operator-=(), operator/=(), and operator==().

## r

char pcl::cuda::RGB::r

Definition at line 57 of file point_type_rgb.h.

Referenced by pcl::cuda::SetColor::operator()(), pcl::cuda::ChangeColor::operator()(), operator*=(), operator+=(), operator-(), operator-=(), operator/=(), and operator==().

## rgb

int pcl::cuda::RGB::rgb

Definition at line 54 of file point_type_rgb.h.

The documentation for this union was generated from the following file:

- /build/pcl-OilVEB/pcl-1.8.1+dfsg1/cuda/common/include/pcl/cuda/common/point_type_rgb.h